[**@rxap/ngx-bootstrap v19.1.0-dev.0**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / ModuleApplication

# Class: ModuleApplication\<M, O, Env\>

Defined in: [module-application.ts:18](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L18)

## Extends

- [`Application`](Application.md)\<`O`, `NgModuleRef`\<`M`\>, `Env`\>

## Type Parameters

• **M**

• **O** *extends* [`ModuleApplicationConfig`](../interfaces/ModuleApplicationConfig.md)

• **Env** *extends* `Environment`

## Constructors

### new ModuleApplication()

> **new ModuleApplication**\<`M`, `O`, `Env`\>(`environment`, `moduleType`, `options`?, `configLoadOptions`?): [`ModuleApplication`](ModuleApplication.md)\<`M`, `O`, `Env`\>

Defined in: [module-application.ts:20](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L20)

#### Parameters

##### environment

`Env`

##### moduleType

`Type$1`\<`M`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`ModuleApplication`](ModuleApplication.md)\<`M`, `O`, `Env`\>

#### Overrides

[`Application`](Application.md).[`constructor`](Application.md#constructors)

## Properties

### app

> **app**: `null` \| `NgModuleRef$1`\<`M`\> = `null`

Defined in: [application.ts:39](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L39)

#### Inherited from

[`Application`](Application.md).[`app`](Application.md#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:41](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L41)

#### Inherited from

[`Application`](Application.md).[`config`](Application.md#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:48](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L48)

#### Inherited from

[`Application`](Application.md).[`configLoadOptions`](Application.md#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Env`

Defined in: [application.ts:46](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L46)

#### Inherited from

[`Application`](Application.md).[`environment`](Application.md#environment-1)

***

### logger

> **logger**: `null` \| `Console` = `null`

Defined in: [application.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L40)

#### Inherited from

[`Application`](Application.md).[`logger`](Application.md#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Inherited from

[`Application`](Application.md).[`options`](Application.md#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../type-aliases/ApplicationAfterFunction.md)\<`O`, `NgModuleRef$1`\<`M`\>, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`after`](Application.md#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../type-aliases/ApplicationBeforeFunction.md)\<`O`, `NgModuleRef$1`\<`M`\>, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`before`](Application.md#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:51](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L51)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`bootstrap`](Application.md#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`NgModuleRef$1`\<`M`\>\>

Defined in: [module-application.ts:29](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L29)

#### Returns

`Promise`\<`NgModuleRef$1`\<`M`\>\>

#### Overrides

[`Application`](Application.md).[`create`](Application.md#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:100](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L100)

#### Parameters

##### app

`NgModuleRef$1`

##### logger

`Console`

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleAfter`](Application.md#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:94](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L94)

#### Parameters

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleBefore`](Application.md#handlebefore)

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`loadConfig`](Application.md#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [module-application.ts:34](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L34)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](Application.md).[`prepareConfig`](Application.md#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:110](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L110)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`prepareEnvironment`](Application.md#prepareenvironment)
